import React from 'react';
import { CustomPagination } from '../../../../components/view';
import { ExpertsFilter } from '../../../../components/Experts/Filter';
import { ExpertsAdditionalFilter } from '../../../../components/Experts/AdditionalFilter';
import { ExpertsList } from '../../../../components/Experts/ExpertsList';
import { getExpertsList } from '../../../../actions/experts';

export default async function Experts({ params }: { params: { locale: string } }) {
    const data = await getExpertsList({
        "themesTagIds": [
            1,2,3,4,5,6,7,8
        ],
        "priceFrom": null,
        "priceTo": null,
        "durationFrom": null,
        "durationTo": null
    }, params.locale);

    return (
        <div className="main-find">
            <div className="b-inner">
                <div className="main-find__top">
                    <h2 className="title-h2">Find an expert</h2>
                    <div className="open-filter">
                        <img src="/images/options-outline.svg" className="" alt=""/>
                    </div>
                </div>
                <div className="row">
                    <div className="col-xl-3 col-lg-4 d-none d-lg-block">
                        <ExpertsFilter locale={params.locale} />
                    </div>
                    <div className="col-xl-9 col-lg-8 ">
                        <ExpertsAdditionalFilter />
                        <ExpertsList data={data} locale={params.locale} />
                        <CustomPagination total={20} />
                    </div>
                </div>
            </div>
        </div>
    );
};
