import React from 'react';
import type { Metadata } from 'next';

export const metadata: Metadata = {
    title: 'Bbuddy - Main',
    description: 'Bbuddy desc'
};

export default function Home() {
    return (
        <div className="main-top">
            <div className="b-inner">
                <h1 className="title-h1">
                    Mentorship, Career
                    Development & Coaching.
                </h1>
                <div className="main-top__wrap-text">
                    <p className="main-top__text">The ins-and-outs of building a career in tech, gaining experience </p>
                    <p className="main-top__text">from a mentor, and getting your feet wet with coaching.</p>
                </div>
                <div className="main-top__wrap-btn">
                    <a
                        href="https://apps.apple.com/us/app/bbuddy/id6443601377?platform=iphone"
                        className="main-top__btn main-top__btn--apple"
                        target="_blank"
                    >
                        <img className="" src="/images/logo-apple.svg" alt=""/>
                        <span className="line" />
                        AppStore
                    </a>
                    <a
                        href="https://play.google.com/store/apps/details?id=com.bbuddy.whistle"
                        className="main-top__btn main-top__btn--android"
                        target="_blank"
                    >
                        <img className="" src="/images/logo-android.svg" alt=""/>
                        <span className="line" />
                        GooglePlay
                    </a>
                </div>
                <div className="main-top__img">
                    <img className="" src="/images/main-top.png" alt=""/>
                </div>
            </div>
        </div>
    );
};
